Error Invalid Plugin Firewall code detected

Home Forums BulletProof Security Pro Error Invalid Plugin Firewall code detected

This topic contains 9 replies, has 2 voices, and was last updated by  Rob Bernstein 5 years, 8 months ago.

Viewing 10 posts - 1 through 10 (of 10 total)
  • Author
    Posts
  • #13210

    Rob Bernstein
    Participant

    Hi

    I have 3 concurrent issues which might be linked:

    1. Error: Invalid Plugin Firewall code detected. Copy and paste the code below . The plugin firewall is not activated, and there is no code to copy/paste
    2. ERROR: A valid BPS htaccess file was NOT found in your wp-admin folder. Either you have not activated BulletProof Mode for your wp-admin folder yet or the version of the wp-admin htaccess file that you are using is not the most current version. BulletProof Mode for the wp-admin folder MUST also be activated when you have BulletProof Mode activated for the Root folder. Please view the Read Me Help button above.
      on the same screen as
      BulletProof Security wp-admin Folder ProtectionI do not understand this – I have re-downloaded and installed the files, and both the wpadmin-secure.htaccess and secure.htaccess are v 8.1, while bulletproof-security.php is v8.2
    3. When I upload an image using the WordPress uploader, any non-admin user gets “http error” (no problem with admin user)

    Are these connected? Any suggestions?
    Many thanks

    ROB

    #13215

    AITpro Admin
    Keymaster

    Nope,  none of these issues are directly related and are all separate issues.  I am splitting #3 into a new Topic.

    1 & 2 have been corrected in the BPS Pro zip file in the Secure Download area.  Download the zip file and install the zip file using the BPS Pro Upload Zip installer.  Do NOT use the WordPress upload zip installer.

    #13223

    AITpro Admin
    Keymaster
    #13253

    Rob Bernstein
    Participant

    Hi

    Where do I find the “Secure Download area”. When I log in at ait-pro.com there is nothing on the dashboard that allows download.

    #13256

    AITpro Admin
    Keymaster

    If you are not being redirected into the Secure Download Area then something installed on your Browser (add-on, extension, etc) or that is installed on your computer is breaking the redirect.  Disable all Browser extensions, add-ons etc. and try again.

    Known issues:  LastPass Password Manager causes this problem.

    Or actually you may be able to force the URL by entering this URL in your Browser address bar:  ait-pro.com/pd/.  Most likely that will not work because it is also a redirect, but you can try it.

    #13266

    Rob Bernstein
    Participant

    OK, one step ahead: item #2 is cleared. However, item #1 remains (Error: Invalid Plugin Firewall code detected. Copy and paste the code below)

    #13267

    AITpro Admin
    Keymaster

    Refresh your Browser.

    #13268

    Rob Bernstein
    Participant

    Nope, no change. I downloaded the update from the relevant page, installed through BPS install backup.

    The version number in wpadmin-secure.htaccess remains 8.1. I changed this to 8.2 and item #2 error cleared. Item 1 remains.

    #13270

    AITpro Admin
    Keymaster

    then you did not install the correct zip file.  the wp-admin file version is 8.2.  install the correct zip file.

    #13272

    Rob Bernstein
    Participant

    Oops, my error. Sorted now. Thanks for perservering

Viewing 10 posts - 1 through 10 (of 10 total)

You must be logged in to reply to this topic.